#version 330 core
layout (location = 0) in vec2 aPos;
layout (location = 1) in vec3 aColour;
layout (location = 2) in vec2 aTexPos;

uniform mat4 projection;

out vec3 colour;
out vec2 texPos;

void main()
{
    gl_Position = projection * vec4(aPos, 0.0f, 1.0f);
    colour = aColour;
    texPos = aTexPos;
}
